using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;
using SilverTunes.MediaLibrary;
using System.ServiceModel;
using C1.Silverlight;

namespace SilverTunes
{
    public partial class App : Application
    {

        public App()
        {
            this.Startup += this.Application_Startup;
            this.Exit += this.Application_Exit;
            this.UnhandledException += this.Application_UnhandledException;

            InitializeComponent();
        }

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            // Load the main control
            this.RootVisual = new Page();
            if (HtmlPage.IsEnabled)
            {
                HtmlPage.Plugin.Invoke("focus");
            }
        }

        private void Application_Exit(object sender, EventArgs e)
        {

        }
        private void Application_UnhandledException(object sender, ApplicationUnhandledExceptionEventArgs e)
        {

        }

        public static MediaLibrarySoapClient CreateMediaLibraryClient()
        {
            return new MediaLibrarySoapClient(
                new BasicHttpBinding(),
                new EndpointAddress(Extensions.GetAbsoluteUri("MediaLibrary.asmx")));
        }
    }
}
